[Overview][Procedures and functions][Variables][Index] | Reference for unit 'WinCRT' (#rtl)

# keypressed

Check if a key was pressed.

## Declaration

Source position: wincrt.pp line 22

`function keypressed: Boolean;`

## Function result

True if the user pressed a key, false if not.

## Description

KeyPressed returns True if the user pressed a key, or False if not. It does not wait for the user to press a key.

## See also

readkey |  | Read a key from the keyboard